export interface Node {
  id: string;
  coord_la: number;
  coord_lo: number;
  battery_minimum: number;
  battery_maximum: number;
  group: string;
  sensorData: SensorData[];
}

export interface NodeGroup {
  id: string;
  name: string;
  node: Node[];
}

export interface SensorData {
  id: string;
  timestamp: number;
  temperature: number;
  voltage: number;
  uptime: number;
}

export interface User {
  id: string;
  name: string;
  email: string;
  hash: string;
}

export interface CreateUserDto {
  name: string;
  email: string;
  password: string;
  admin: boolean;
}

export interface UpdateUserDto {
  name: string;
  email: string;
  password?: string;
  admin?: boolean;
}

